logging-log4j-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 47595] [companion] POMs of companions have problems
Date Sun, 04 Oct 2009 11:16:11 GMT
https://issues.apache.org/bugzilla/show_bug.cgi?id=47595

--- Comment #6 from Antonio Petrelli <antonio.petrelli@gmail.com> 2009-10-04 04:16:09
PDT ---
I must admit that the compilation problem appears only in Eclipse, because,
when choosing a runtime environment, it enforces restrictions in class use. In
this case, if I have a 1.2 version of JDK, I cannot use XML classes.
Usually this is not an issue, but probably, since Eclipse is OSGi based, this
can cause a problem under OSGi-based applications (never tested it, though).
Anyway I don't see why it is a problem to "upgrade" the companions, Java 1.2 is
abandoned, Java 5 is at the end-of-life, Java 1.4 seems "reasonably old" :-D

-- 
Configure bugmail: https://issues.apache.org/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.

---------------------------------------------------------------------
To unsubscribe, e-mail: log4j-dev-unsubscribe@logging.apache.org
For additional commands, e-mail: log4j-dev-help@logging.apache.org


Mime
View raw message